Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:03 2009

## Asterisk developer's documentation

# localtime.h File Reference

Custom localtime functions for multiple timezones. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

char * | ast_ctime (const time_t *const timep)
char * | ast_ctime_r (const time_t *const timep, char *buf)
struct tm * | ast_localtime (const time_t *timep, struct tm *p_tm, const char *zone)
time_t | ast_mktime (struct tm *const tmp, const char *zone)
void | ast_tzset (const char *name)
int | ast_tzsetwall (void)

## Detailed Description

Custom localtime functions for multiple timezones.

Definition in file localtime.h.

## Function Documentation

char* ast_ctime | ( | const time_t *const | timep | ) |

char* ast_ctime_r | ( | const time_t *const | timep,
|  | char * | buf |
| ) |  |  |

struct tm* ast_localtime | ( | const time_t * | timep,
|  | struct tm * | p_tm,
|  | const char * | zone |
| ) |  |  | `[read]`

Referenced by acf_strftime(), ast_say_date_da(), ast_say_date_de(), ast_say_date_en(), ast_say_date_fr(), ast_say_date_gr(), ast_say_date_nl(), ast_say_date_pt(), ast_say_date_with_format_da(), ast_say_date_with_format_de(), ast_say_date_with_format_en(), ast_say_date_with_format_es(), ast_say_date_with_format_fr(), ast_say_date_with_format_gr(), ast_say_date_with_format_he(), ast_say_date_with_format_it(), ast_say_date_with_format_nl(), ast_say_date_with_format_pt(), ast_say_date_with_format_tw(), iax2_datetime(), main(), sendmail(), sendpage(), and write_metadata().

time_t ast_mktime | ( | struct tm *const | tmp,
|  | const char * | zone |
| ) |  |  |

Definition at line 1491 of file localtime.c.

References ast_mutex_lock(), ast_mutex_unlock(), ast_strlen_zero(), ast_tzset(), localsub(), and time1().

    01494 {
    01495    time_t mktime_return_value;
    01496 #ifdef   _THREAD_SAFE
    01497    ast_mutex_lock(&lcl_mutex);
    01498 #endif
    01499    ast_tzset(!ast_strlen_zero(zone) ? zone : "/etc/localtime");
    01500    mktime_return_value = time1(tmp, localsub, 0L, !ast_strlen_zero(zone) ? zone : "/etc/localtime");
    01501 #ifdef   _THREAD_SAFE
    01502    ast_mutex_unlock(&lcl_mutex);
    01503 #endif
    01504    return(mktime_return_value);
    01505 }

void ast_tzset | ( | const char * | name | ) |

Referenced by ast_localtime(), and ast_mktime().

int ast_tzsetwall | ( | void |  | ) |

Referenced by localsub(), and P().